
% bundles=clipboarddata;
% % save canine7_rpca
% 
% xo=bundles(:,1);
% yo=bundles(:,2);
% zo=bundles(:,3);
% 
% xi=bundles(:,1);
% yi=bundles(:,2);
% zi=bundles(:,3);
% 
% save canine7_rpca xo yo zo xi yi zi area
% area=clipboarddata


clear
load canine7_rpca

ximin = min(xi); yimin = min(yi);
ximax = max(xi); yimax = max(yi); 
xomin = min(xo); yomin = min(yo);
xomax = max(xo); yomax = max(yo); 

xres=60;
yres=60;

% Define the range and spacing of the x- and y-coordinates,
% and then fit them into X and Y
xiv = linspace(ximin, ximax, xres);
yiv = linspace(yimin, yimax, yres);
[Xiinterp,Yiinterp] = meshgrid(xiv,yiv); 

xres=30;
yres=30;

xov = linspace(xomin, xomax, xres);
yov = linspace(yomin, yomax, yres);
[Xointerp,Yointerp] = meshgrid(xov,yov); 


% Calculate Z in the X-Y interpolation space, which is an 
% evenly spaced grid:
Ziinterp = griddata(xi,yi,zi,Xiinterp,Yiinterp,'cubic'); 
Zointerp = griddata(xo,yo,zo,Xointerp,Yointerp,'cubic'); 


% Generate the mesh plot (CONTOUR can also be used):
figure(1)
mesh(Xiinterp,Yiinterp,Ziinterp)
hold on
mesh(Xointerp,Yointerp,Zointerp)
plot3(xi,yi,zi,'.')
plot3(xo,yo,zo,'.')
for n=1:length(xi)
plot3([xi(n) xo(n)],[yi(n) yo(n)],[zi(n) zo(n)])
end
hold off
xlabel X; ylabel Y; zlabel Z;
cnt_=0;
[N,M]=size(Xiinterp);
for n=1:N
    for m=1:M
        if isfinite(Ziinterp(n,m))
%             disp([Xiinterp(n,m),Yiinterp(n,m),Ziinterp(n,m)])        
            cnt_=cnt_+1;
            XYZ_(cnt_,:)=[Xiinterp(n,m),Yiinterp(n,m),Ziinterp(n,m)];
        end
%         disp([num2str(n) ' ' num2str(m)])
%         plot3(Xiinterp(n,m),Yiinterp(n,m),Ziinterp(n,m),'.k')
%         pause(.00001)
    end
end

% hold on
% for n=1:length(XYZ_)
%     plot3(XYZ_(n,1),XYZ_(n,2),XYZ_(n,3),'.k')   
%     pause(0.001)
% end
% hold off
% 
% figure(2)
% hold on 
% for n=1:length(xi)
% plot3([xi(n) xo(n)],[yi(n) yo(n)],[zi(n) zo(n)])
% plot3(xo,yo,zo,'.')
% plot3(xi,yi,zi,'.')
% end
% hold off
% xlabel X; ylabel Y; zlabel Z;
% 


% ylabel('<--inf.  (mm)   sup.-->')
% xlabel('<--left  (mm)   right-->')




% 
% 
% 
% plot3(bundles(:,1),bundles(:,2),bundles(:,3))
% n=48
% plot(bundles(1:n,1),bundles(1:n,2))
% plot(bundles(n+1:end,1),bundles(n+1:end,2))
% 
% plot3(bundles(1:n,1),bundles(1:n,2),bundles(1:n,3))
% hold on
% plot3(bundles(n+1:end,1),bundles(n+1:end,2),bundles(n+1:end,3))
% hold off
% 
% %canine 3
% %top view
% plot(bundles(1:n,2),bundles(1:n,1),'k')
% hold on
% plot(bundles(1:n,2),bundles(1:n,1),'k.')
% plot(bundles(n+1:end,2),bundles(n+1:end,1),'k')
% plot(bundles(n+1:end,2),bundles(n+1:end,1),'k.')
% plot(0,0)
% hold off
% 
% 
% % posterior view
% plot(bundles(1:n,2),bundles(1:n,3),'k')
% hold on
% plot(bundles(1:n,2),bundles(1:n,3),'k.')
% plot(bundles(n+1:end,2),bundles(n+1:end,3),'k')
% plot(bundles(n+1:end,2),bundles(n+1:end,3),'k.')
% hold off
% ylabel('<--inf.  (mm)   sup.-->')
% xlabel('<--left  (mm)   right-->')
% 
% 
% %right view
% subplot(1,3,1)
% plot(bundles(1:n,1),bundles(1:n,3),'k')
% hold on
% plot(bundles(1:n,1),bundles(1:n,3),'k.')
% % plot(bundles(n+1:end,1),bundles(n+1:end,3),'k')
% % plot(bundles(n+1:end,1),bundles(n+1:end,3),'k.')
% % plot(0,0)
% hold off
% % ylabel('<--inf.  (mm)   sup.-->')
% xlabel('<--rost.  (mm)   caud.-->')
% 
% 
% 
